Subject: Re: bug#13160: 24.3.50; [PATCH] man page completion support beyond man-db

From: Wolfgang Jenkner <[email-masked]>
Date: Mon, 24 Dec 2012 03:23:55 +0100

On Mon, Dec 24 2012, Stefan Monnier wrote:

> The easiest is probably to keep the current structure and just drop the
> ^ if the string is non-empty (we'll get lots more false-positives than
> with the ^, but we still gain: even for some single letters, like
> "man -k b", we get less than half as much data as "man -k ^").

You mean, for all man programs?  I considered this as well, but I just
don't feel like making things worse for the two man programs which are
used on GNU-based system, and which do have a single page name per line,
and at its beginning (quite reasonably so, and in the spirit of POSIX
man(1p), I'd say).  So perhaps the second patch I proposed (without the
test for valid output of `man -k ^')

http://permalink.gmane.org/gmane.emacs.bugs/68605

would be better, after all, even though the
Man-keyword-completion-anchor variable is ugly.

Wolfgang